The last time Hackerfall tried to access this page, it returned a not found error. A cached version of the page is below, or click here to continue anyway

autochecker - test your libraries in many different versions of NodeJS, Ruby, Java and many other languages.

autochecker

autochecker tests your libraries in many different versions of NodeJS, Ruby, Java and many other languages.

Imagine you have either a library or an application that you need to maintain to work on many different versions of NodeJS, or want to make sure it works in the latest versions.

Then autochecker will help you with exactly that!

Requirements

Installation

Globally (or usage in other languages than NodeJS):

npm install -g autochecker

Or just in your project:

npm install --save-dev autochecker

Examples

autochecker

All available versions tested

autochecker 0.10 5.8

Only specified versions tested

autochecker 0.10

Only one specified version tested with verbose output

TEST_LIMIT=10 autochecker

Set the limit of number of parallel tests

You like autochecker?

Want to tell people? Tweet about it!

You want to help out? Visit the Github repository!

Continue reading on victorbjelkholm.github.io